aagc.vo

## Class ElencoRicetteRequest

- java.lang.Object
- - aagc.vo.ElencoRicetteRequest

-     public class ElencoRicetteRequest
      extends java.lang.Object

  Classe Java per elencoRicetteRequest complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="elencoRicetteRequest">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="ricetta" type="{http://www.nsisr.puglia.it/Schemas/}ricettaErogataRequest" maxOccurs="unbounded"/>
             </sequence>
             <attribute name="occorrenze" use="required" type="{http://www.w3.org/2001/XMLSchema}int" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `occorrenze`
    `protected java.util.List<RicettaErogataRequest>` | `ricetta`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElencoRicetteRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getOccorrenze()` Recupera il valore della proprietà occorrenze.
    `java.util.List<RicettaErogataRequest>` | `getRicetta()` Gets the value of the ricetta property.
    `void` | `setOccorrenze(int value)` Imposta il valore della proprietà occorrenze.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ricetta

          protected java.util.List<RicettaErogataRequest> ricetta

    - #### occorrenze

          protected int occorrenze

  - ### Constructor Detail

    - #### ElencoRicetteRequest

          public ElencoRicetteRequest()

  - ### Method Detail

    - #### getRicetta

          public java.util.List<RicettaErogataRequest> getRicetta()

      Gets the value of the ricetta property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the ricetta property.

      For example, to add a new item, do as follows:

              getRicetta().add(newItem);

      Objects of the following type(s) are allowed in the list `RicettaErogataRequest`

    - #### getOccorrenze

          public int getOccorrenze()

      Recupera il valore della proprietà occorrenze.

    - #### setOccorrenze

          public void setOccorrenze(int value)

      Imposta il valore della proprietà occorrenze.